# SpotData Struct Reference

Used as the user_data for FindFurthestFromWater. More...

## Data Fields
TileIndex | tile
| holds the tile that was found
uint | max_dist
| holds the distance that tile is from the water
TownLayout | layout
| tells us what kind of town we're building

## Detailed Description

Used as the user_data for FindFurthestFromWater.

Definition at line 1657 of file town_cmd.cpp.

The documentation for this struct was generated from the following file:

- src/town_cmd.cpp